Get the client's details
curl --request GET \
--url https://api.portalhq.io/api/v3/clients/me \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.portalhq.io/api/v3/clients/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.portalhq.io/api/v3/clients/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2024-04-16T21:15:06.443Z",
"custodian": {
"id": "custodianId",
"name": "Custodian Name"
},
"ejectedAt": null,
"environment": {
"id": "environmentId",
"name": "Development",
"backupWithPortalEnabled": true,
"isMultiBackupEnabled": false
},
"id": "clientId",
"isAccountAbstracted": false,
"metadata": {
"namespaces": {
"eip155": {
"address": "0x0f3f5cea9784e254972d915695dbc9bc2a395faf",
"curve": "SECP256K1"
},
"solana": {
"address": "BrGo1hFAL8MpudNQ6K4YWDaFB838uboUcCpm8C9uyC4R",
"curve": "ED25519"
},
"bip122": {
"address": "",
"curve": "SECP256K1",
"bitcoin": {
"p2wpkh": {
"mainnet": "bc1qpl54na90wlmdxj5z4wtz7cpp6p32dc9th54w0m",
"testnet": "tb1qpl54na90wlmdxj5z4wtz7cpp6p32dc9tajwa5g"
}
}
},
"stellar": {
"address": "GCQTIL5333ASTDBXAJYDIAFRWXYGMR2KPGUNIDNSHOMBINTAMPZJFOKT",
"curve": "ED25519"
},
"tron": {
"address": "TBMq3UK8JNvauSc7sPUp7fkoSzTN4PZhP2",
"curve": "SECP256K1"
}
}
},
"wallets": [
{
"createdAt": "2024-04-16T21:15:45.144Z",
"curve": "SECP256K1",
"id": "walletId",
"ejectableUntil": null,
"publicKey": "{\"x\":\"...\",\"y\":\"...\"}",
"backupSharePairs": [
{
"backupMethod": "PASSWORD",
"createdAt": "2024-04-16T21:15:45.144Z",
"id": "backupSharePairId",
"status": "completed"
}
],
"signingSharePairs": [
{
"createdAt": "2024-04-16T21:15:45.144Z",
"id": "signingSharePairId",
"status": "completed"
}
]
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Clients
Get the client's details
Retrieves the details of the current client, including information about associated wallets, backup share pairs, and signing share pairs.
GET
/
clients
/
me
Get the client's details
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Response
Client details retrieved successfully
When the client was created
Show child attributes
Show child attributes
When the client was ejected, or null if not ejected
Show child attributes
Show child attributes
Client ID
Whether the client uses account abstraction (EIP-7702)
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I